
# GeoCAT-viz

The GeoCAT-viz repo contains tools to help plot data, including convenience and plotting functions that are used
to facilitate plotting geosciences data with Matplotlib, Cartopy, and possibly other Python ecosystem
plotting packages. GeoCAT-viz functionality is used by
[GeoCAT-examples](https://github.com/NCAR/geocat-examples) and is of possible use for other GeoCAT components.


| **Upstream Examples CI** | [![Upstream Examples CI][upstream-examples-ci-badge]][upstream-examples-ci-link] |
|:------------------------:|:--------------------------------------------------------------------------------:|
|         **Docs**         |                  [![Documentation Status][rtd-badge]][rtd-link]                  |
|       **Package**        |       [![Conda][conda-badge]][conda-link] [![PyPI][pypi-badge]][pypi-link]       |
|       **License**        |                 [![License][license-badge]][license-badge-link]                  |
|         **DOI**          |                          [![DOI][doi-badge]][doi-link]                           |

# Documentation

[GeoCAT Homepage](https://geocat.ucar.edu/)

[GeoCAT Contributor's Guide](https://geocat.ucar.edu/pages/contributing.html)

[GeoCAT-viz documentation on Read the Docs](https://geocat-viz.readthedocs.io)

# Installation instructions

Please see our documentation for [installation instructions](https://github.com/NCAR/geocat-viz/blob/main/INSTALLATION.md).

# Citing GeoCAT-viz

If you use this software, please cite it as described at the [GeoCAT-viz - Citation](
https://geocat-viz.readthedocs.io/en/latest/citation.html) page.

[comment]: <> (reference links used for badges.)

[rtd-badge]: https://img.shields.io/readthedocs/geocat-viz/latest.svg?style=for-the-badge
[rtd-link]: https://geocat-viz.readthedocs.io/en/latest/?badge=latest
[pypi-badge]: https://img.shields.io/pypi/v/geocat-viz?logo=pypix&style=for-the-badge
[pypi-link]: https://pypi.org/project/geocat-viz
[conda-badge]: https://img.shields.io/conda/vn/ncar/geocat-viz?logo=anaconda&style=for-the-badge
[conda-link]: https://anaconda.org/ncar/geocat-viz
[license-badge]: https://img.shields.io/badge/License-Apache_2.0-blue.svg?style=for-the-badge
[license-badge-link]: ./LICENSE
[upstream-examples-ci-badge]: https://img.shields.io/github/actions/workflow/status/NCAR/geocat-viz/upstream-examples-ci.yml?branch=main&label=Upstream%20Examples%20CI&style=for-the-badge
[upstream-examples-ci-link]: https://github.com/NCAR/geocat-viz/actions/workflows/upstream-examples-ci.yml
[doi-badge]: https://zenodo.org/badge/DOI/10.5281/zenodo.6941740.svg?style=for-the-badge
[doi-link]: https://doi.org/10.5281/zenodo.6941740
